For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mark Invoiced

Deprecated

Mark as invoiced (list of transports)

post

Mark the transports selected by the filters as invoiced.

Warning: please use filters when calling this API or the action will apply to all transports

If you want to set invoice_number or customer_to_invoice you need to use this webservice

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
uid__instringOptional

Comma separated list of transport uids to mark as invoiced.

Example: 4443d4b6-e165-11ea-a488-0242ac110007,db46db81-ff56-482a-afc0-c85b89ea130e
Responses
200Success
application/json
successbooleanOptionalExample: true
post/transports/mark-invoiced/
200Success

Mark as invoiced (one transport)

post

Mark a transport as invoiced.

If set, invoice_number, invoiced_price and customer_to_invoice can be read at root level of the global JSON of the transport.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringOptional

uid of the transport

Example: 4443d4b6-e165-11ea-a488-0242ac110007
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
invoice_numberstring Β· max: 100 Β· nullableOptional

Invoice number for the transport

Example: invoice_21_05_742
invoiced_pricenumber Β· float Β· nullableOptionalDeprecated

Invoiced price for the transport. Deprecated in favour of pricing field

Example: 250
Responses
200Success
application/json
successbooleanOptionalExample: true
post/transports/{uid}/mark-invoiced/
200Success

Last updated

Was this helpful?